using FCOMMON;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace FCM0000
{
    public partial class fUserGroup : fBase
    {
        public fUserGroup()
        {
            InitializeComponent();
            Properties.Settings.Default["gwcs"] = FCOMMON.info.CS;
        }

        private void __Load(object sender, EventArgs e)
        {
            EnsureVisibleAndUsableSize();
            refreshData();
        }

     
        void refreshData()
        {
            try
            {
                this.ta.FillByID(this.dSUser.UserGroup, FCOMMON.info.Login.gcode);
               
            }catch (Exception ex)
            {
                FCOMMON.Util.MsgE(ex.Message);
            }
        }
    
        private void customsBindingNavigatorSaveItem_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.bs.EndEdit();
            int cnt = this.ta.Update(this.dSUser.UserGroup);
            if (cnt < 1)
            {
                FCOMMON.Util.MsgI("변경된 내역이 없습니다.");
            }
            else
            {
                FCOMMON.Util.MsgI(string.Format("{0} 건의 자료가 업데이트 되었습니다.\n변경된 정보는 다음 로그인시 적용 됩니다", cnt));
                DialogResult = DialogResult.OK;
            }

        }

    }
}
